#ifndef GF_DEVICE_H
#define GF_DEVICE_H

#include <input/gdevice.h>

class GFInputDevice: public GInputDevice {
    // CONCEPT: Furniture graphics kernel
    //
    // ABSTRACT PURPOSE: Base class for hi-level
    // GF input devices.
    // INVARIANT:
    //
    // IMPLEMENTATION ISSUES:
    //
    // CONSTANTS: 
  public:
    GFInputDevice(const char* pName, GInputDevice* pFather = (GInputDevice*)gNoInputDevice): GInputDevice(pFather),
    mName(pName) {}

    const GString getName(void) const {
	return(mName);
    }
  private:
    GString mName;
};

#endif
