#ifndef GF_TYPES_H
#define GF_TYPES_H

#include <render/grender.h>
#include <render/gshade.h>
#include <render/graycam.h>
#include <render/gpixmap.h>
#include <util/gtempl.h>

#include "gfprimtv.h"

typedef GAggregate<GPoint2> GFPolygon2D;
typedef GLookatShader<GFPrimitive, GPixmapDisplay> GFLookatShader;
typedef GLookatRayTracer<GFPrimitive, GPixmapDisplay> GFLookatRayTracer;

#endif
