#ifndef __GT_DEFS_H__
#define __GT_DEFS_H__

#include "util/gvector.h"
#include "util/gtempl.h"
#include "util/gdyna.h"
#include "gt_macro.h"

class GTObject;
class GTLight;
class GTPrimitive;
class GTCamera;
class GInterSection;
class GInterSectionList;

typedef GDynaList<GTObject *>    GTObjectList;
typedef GDynaList<GTLight *>     GTLightList;
typedef GDynaList<GTPrimitive *> GTPrimitiveList;

typedef GDynaListIterator<GTObject *>    GTObjectItr;
typedef GDynaListIterator<GTLight *>     GTLightItr;
typedef GDynaListIterator<GTPrimitive *> GTPrimitiveItr;


#endif
