#ifndef G_FILE_H
#define G_FILE_H

#include "input/gdevice.h"

class GFileDevice: public GInputDevice {
    // CONCEPT: Generic graphics kernel
    //
    // ABSTRACT PURPOSE: An input device 
    // for handling special file descriptors.
    // INVARIANT:
    //
    // IMPLEMENTATION ISSUES:
    //
    // CONSTANTS: 
  public:
    GFileDevice(long pFD, int pMode): GInputDevice((GInputDevice*)gNoInputDevice), mFD(pFD), mMode(pMode) {}
    virtual bool event(GEvent*); 
  private:
    long mFD; 
    // the file descriptor
    int mMode; 
    // the access mode
};

#endif
