#ifndef G_ATTRIBUTE_H
#define G_ATTRIBUTE_H

#include "gdata.h"

class GAttribute: public GGraphicalData {
  public:
    bool getExist(void) const {
	return(mRef ? false : true);
    }
  protected:
    GAttribute(const GAttribute& pRef) {
	setReference(pRef);
    }

    void setExist(void) {
	mRef = 0;
    }
  public:
    void setReference(const GAttribute& pRef) {
	mRef = &pRef;
    }
    const GAttribute& getReference(void) const {
	if (mRef) return(*mRef);
	else return(*this);
    }
  private:
    const GAttribute* mRef;
};

#endif
