//////////////////////////////////////////////////////////////////////////////
//  This file belongs to the GENERIC 3D kernel. Copying, distribution and     
//  legal info is in the file COPYRIGHT which should be distributed with this 
//  file. If COPYRGHT is not available or for more info please contact: 
//		ekki@prakinf.tu-ilmenau.de
/////////// (C) '95 Ekkehard 'Ekki' Beier - All rights reserved. /////////////
#include "input/gserver.h"

GInputServer gInputServer;

#ifdef GSYSTEM_V

#include <sys/time.h>
#include <sys/types.h>

#ifdef GHPUX
extern "C" int select(int, int*, int*, int*, struct timeval*);
#else
extern "C" int select(int, fd_set*, fd_set*, fd_set*, struct timeval*);
#endif

#endif

void GInputServer::event(void) {
    static GPollInputDeviceIterator<GInputDevice> tIter(0);
    mIDList.doWithElements(tIter);
    if (tIter.sleep()) {
#ifdef GSYSTEM_V
	struct timeval tv;
	tv.tv_usec = 1000; 
	tv.tv_sec = 0;
	select(0, 0, 0, 0, &tv);
#endif
    }
}

void gInputLoop(void) {
    while (1) gInputServer.event();
}
