//////////////////////////////////////////////////////////////////////////////
//  This file belongs to the GENERIC 3D kernel. Copying, distribution and     
//  legal info is in the file COPYRIGHT which should be distributed with this 
//  file. If COPYRGHT is not available or for more info please contact: 
//		ekki@prakinf.tu-ilmenau.de
/////////// (C) '95 Ekkehard 'Ekki' Beier - All rights reserved. /////////////
#include "util/gsurface.h"

ostream& operator<<(ostream& pStream, const GSurface& pSurface) {
    pStream << '{' << pSurface.mAmbient << ' '
	<< pSurface.mDiffuse << ' '
	    << pSurface.mSpecular << ' ' << pSurface.mShininess << ' '
		<< pSurface.mRefraction << ' ' << pSurface.mTransparency << '}';
    return(pStream);
}
