//////////////////////////////////////////////////////////////////////////////
//  This file belongs to the GENERIC 3D kernel. Copying, distribution and     
//  legal info is in the file COPYRIGHT which should be distributed with this 
//  file. If COPYRGHT is not available or for more info please contact: 
//		ekki@prakinf.tu-ilmenau.de
/////////// (C) '95 Ekkehard 'Ekki' Beier - All rights reserved. /////////////
#include "util/gvertex.h"

ostream& operator<<(ostream& pStream, const GVertex& pVertex) {
    pStream << '{' << pVertex.getPoint() << "} {" ;
    if (pVertex.getNormal()) pStream << *pVertex.getNormal();
    pStream << '}';
    return(pStream);
}

ostream& operator<<(ostream& pStream, const GVertexWithColorRGB& pVertex) {
    pStream << (GVertex&)pVertex;
    pStream << " {" ;
    if (pVertex.getColor()) pStream << *pVertex.getColor();
    pStream << '}';
    return(pStream);
}

ostream& operator<<(ostream& pStream, const GVertexWithSurface& pVertex) {
    pStream << (GVertex&)pVertex;
    pStream << " {" ;
    if (pVertex.getSurface()) pStream << *pVertex.getSurface();
    pStream << '}';
    return(pStream);
}
