#ifndef G_GENERIC_H
#define G_GENERIC_H

#include <iostream.h>
#include <stdio.h>
#include <assert.h>

typedef float GFloat;

#define GSINGLE_PRECISION 1

#define gmax(a, b)     (((a)>(b))?(a):(b))
#define gmin(a, b)     (((a)<(b))?(a):(b))

#define gmax3(a, b, c)     (((a)>(b))?((a)>(c)?(a):(c)):(((b)>(c))?(b):(c)))
#define gmin3(a, b, c)     (((a)<(b))?((a)<(c)?(a):(c)):(((b)<(c))?(b):(c)))

#define self *this

#define gEpsilon 0.0001

#ifdef GPRE_ANSI

typedef int bool;
#define true 1
#define false 0

#endif

#ifdef GWINDOWS
#define M_PI       3.141592654
#define M_PI_2     1.570796327
#define M_PI_4     0.785398163
#endif

// initialization (true if sucessful):
extern bool gInitialize(void);
// IMPLEMENTED PLATFORM DEPENDENT


#endif
