//////////////////////////////////////////////////////////////////////////////
//  This file belongs to the GENERIC 3D kernel. Copying, distribution and     
//  legal info is in the file COPYRIGHT which should be distributed with this 
//  file. If COPYRGHT is not available or for more info please contact: 
//		ekki@prakinf.tu-ilmenau.de
/////////// (C) '95 Ekkehard 'Ekki' Beier - All rights reserved. /////////////
#include "input/gtimer.h"

bool GTimer::event(GEvent*) {
    if (!isOn()) return(false);
    
    GTime tTime(mTime.getTime() - mTime);
    GFloat tInterval = tTime.getSeconds();

    tInterval += tTime.getMicroSeconds()/1000000.0;
    if (tInterval >= mInterval) {
        mTime = mTime.getTime();
        callCBs();
        return(true);
    }
    return(false);
}
