//////////////////////////////////////////////////////////////////////////////
//  This file belongs to the GENERIC 3D kernel. Copying, distribution and     
//  legal info is in the file COPYRIGHT which should be distributed with this 
//  file. If COPYRGHT is not available or for more info please contact: 
//		ekki@prakinf.tu-ilmenau.de
/////////// (C) '95 Ekkehard 'Ekki' Beier - All rights reserved. /////////////
#include <stdio.h>
#include <stdlib.h>
#include "util/gdyna.h"

static int gDynaListBestSizes[] = {
    48, 112, 240, 496, 1008, 2032, 4080, 8176,
    16368, 32752, 65520, 131056, 262128, 524272, 1048560,
    2097136, 4194288, 8388592, 16777200, 33554416, 67108848
};

int gDynaListGetBestSize(int count, unsigned size) {
    for (int i = 0; i < sizeof(gDynaListBestSizes)/sizeof(int); i++) {
        if (count * size < gDynaListBestSizes[i]) {
            return(gDynaListBestSizes[i] / size);
        }
    }
    return(count);
}

